ST_InterpolatePoint
Prev | 8.18. Linear Referencing | Next

## Name

ST_InterpolatePoint — Returns the interpolated measure of a geometry closest to a point.

## Synopsis

`float8 ST_InterpolatePoint(`geometry linear_geom_with_measure, geometry point`)`;

## Description

Returns an interpolated measure value of a linear measured geometry at the location closest to the given point.

Use this function only for linear geometries with an M component

Availability: 2.0.0

This function supports 3d and will not drop the z-index.

## Examples

    SELECT ST_InterpolatePoint('LINESTRING M (0 0 0, 10 0 20)', 'POINT(5 5)');
     ---------------------
             10

## See Also

ST_AddMeasure, ST_LocateAlong, ST_LocateBetween

Prev | Up | Next
ST_LocateBetweenElevations | Home | ST_AddMeasure